const _Http = getApp().globalData.http;
Component({
  properties: {
    disabled: Boolean
  },
  data: {
    list: [],
    sa_projectid: "",
    "content": {
      "version": 1,
      "nocache": true,
      "pageNumber": 1,
      "pageTotal": 1,
      "total": null,
      "type": 1,
      "where": {
        "condition": ""
      }
    }
  },
  methods: {
    getList(id, init) {
      let content = this.data.content;
      content.sa_projectid = id;
      if (init) content.pageNumber = 1
      _Http.basic({
        "id": 20221124190702,
        content
      }).then(res => {
        console.log("报价单", res)
        if (res.msg != '成功') return wx.showToast({
          title: res.data,
          icon: "none"
        })
        this.setData({
          list: res.pageNumber == 1 ? res.data : this.data.list.concat(res.data),
          "content.pageNumber": res.pageNumber + 1,
          "content.pageSize": res.pageSize,
          "content.pageTotal": res.pageTotal,
          "content.total": res.total,
          sa_projectid: id
        });
      })
    },
    addOffers() {
      const {
        projectname,
        sa_projectid
      } = getCurrentPages().find(v => v.__route__ == 'packageA/project/detail').data.detail;
      wx.navigateTo({
        url: `/packageA/offers/addProjectOffer?sa_projectid=${JSON.stringify({
                    sa_projectid:[projectname,[sa_projectid]]
                })}`,
      })
    },
    /* 修改总数 */
    changeTotal() {
      this.setData({
        "content.total": this.data.content.total - 1
      })
    }
  }
})